<%@page import="imagemed.util.RepositoryHandler"%>
<%--
 ** Component: iface
 **
 ** Description:
 **   Check the special directories looking for trash files
 **
 ** Parameters:
 **
 **   No
 **
 ** $Author$
 ** $Date$
 **
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@
  page import="java.io.*,imagemed.imsession.*,imagemed.jsputil.*"

%><%@
  page errorPage ="../main/exceptionHandler.jsp"

%><%!
	boolean isDirEmpty(String path) {
		if ( path==null || "".equals(path) )	return true;
		File dir = new File(path);
		if ( dir.isFile() )	return true;
		String[] ls = dir.list();
		if ( ls==null || ls.length==0 )	return true;
		return false;
	}
	
%><%
	IMSession is = new IMSession(request, response, out); 
  
  is.response.setContentType("text/plain");
  
  if (!IfaceToolbox.isRegOK(is)) {
    is.out.println("#USERID: "+is.regID);
    is.out.println("#RESULT: FAILED");
    is.out.println("#ERROR: Has no registration info for this IP.");
  	return;
  }
  
  String[] dirShouldBeEmpty = { IMEnvBase.getEnv("IMAGE_TMP"), IMEnvBase.getEnv("LOCK_VAR") };
  
  for (int i=0; i<dirShouldBeEmpty.length; i++) {
  	if ( ! isDirEmpty(dirShouldBeEmpty[i]) )
  		is.out.println("ERROR: "+dirShouldBeEmpty[i]+" directory contains trash file(s).");
  }
  
  String[] studyDir = RepositoryHandler.listDirs(RepositoryHandler.DATA);
  
  if ( studyDir!=null ) {
	  for (int i=0; i<studyDir.length; i++) {
  		if ( studyDir[i].charAt(0)=='.' )	continue;
  		String path = RepositoryHandler.getLocation(RepositoryHandler.DATA, studyDir[i]);
	  	if ( isDirEmpty(path) )
  			is.out.println("ERROR: "+path+" is a trash directory.");
	  }
  }
  
  is.out.println("#USERID: "+is.regID);
  is.out.println("#RESULT: OK");
  if (true) return;
%>
