#!/bin/bash
#
# Component: sr
#
# Description:
#  Prints last modification date and time of report to standard output
#
# Usage:
#   getlastmodified.sh -S <studyIUID>
#     -S <studyIUID>        :    get last modified time of the report of this study
#
# Since getlastmodified.sh simply pass all parameters to getlastmodified, the usage info
# above is informative. Check getlastmodified for actual usage information.
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#
#

. $HOME/etc/setenv.sh

$SR_HOME/bin/getlastmodified $@
